<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  Top Event
 * @since  Top Event 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'top_event_pagination',
	array(
		'title'               	=> esc_html__('Pagination','top-event'),
		'description'         	=> esc_html__( 'Pagination section options.', 'top-event' ),
		'panel'               	=> 'top_event_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'top_event_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'top_event_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new  Top_Event_Switch_Control( $wp_customize,
	'top_event_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'top-event' ),
			'section'             	=> 'top_event_pagination',
			'on_off_label' 			=> top_event_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'top_event_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'top_event_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'top_event_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'top-event' ),
		'section'             	=> 'top_event_pagination',
		'type'                	=> 'select',
		'choices'			  	=> top_event_pagination_options(),
		'active_callback'	  	=> 'top_event_is_pagination_enable',
	)
);
